Index: /palm/trunk/SOURCE/data_output_netcdf4_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4140)
+++ /palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4141)
@@ -62,8 +62,8 @@
    CHARACTER(LEN=*), PARAMETER ::  mode_serial   = 'serial'    !< string selecting netcdf4 serial mode
 
-   INTEGER(iwp) ::  debug_output_unit       !< Fortran Unit Number of the debug-output file
-   INTEGER(iwp) ::  global_id_in_file = -1  !< value of global ID within a file
-   INTEGER      ::  master_rank             !< master rank for tasks to be executed by single PE only
-   INTEGER      ::  output_group_comm       !< MPI communicator addressing all MPI ranks which participate in output
+   INTEGER ::  debug_output_unit       !< Fortran Unit Number of the debug-output file
+   INTEGER ::  global_id_in_file = -1  !< value of global ID within a file
+   INTEGER ::  master_rank             !< master rank for tasks to be executed by single PE only
+   INTEGER ::  output_group_comm       !< MPI communicator addressing all MPI ranks which participate in output
 
    LOGICAL ::  print_debug_output = .FALSE.  !< if true, debug output is printed
@@ -93,7 +93,7 @@
    END INTERFACE netcdf4_write_attribute
 
-   INTERFACE netcdf4_init_end
-      MODULE PROCEDURE netcdf4_init_end
-   END INTERFACE netcdf4_init_end
+   INTERFACE netcdf4_stop_file_header_definition
+      MODULE PROCEDURE netcdf4_stop_file_header_definition
+   END INTERFACE netcdf4_stop_file_header_definition
 
    INTERFACE netcdf4_write_variable
@@ -113,5 +113,5 @@
       netcdf4_get_error_message, &
       netcdf4_init_dimension, &
-      netcdf4_init_end, &
+      netcdf4_stop_file_header_definition, &
       netcdf4_init_module, &
       netcdf4_init_variable, &
@@ -136,8 +136,8 @@
                                                                  !> must be unique for each output group
 
-   INTEGER(iwp), INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
-   INTEGER,      INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
-   INTEGER,      INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
-   INTEGER(iwp), INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
+   INTEGER, INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
+   INTEGER, INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
+   INTEGER, INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
+   INTEGER, INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
 
    LOGICAL, INTENT(IN) ::  debug_output  !< if true, debug output is printed
@@ -160,15 +160,15 @@
 !> Open netcdf file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_open_file( mode, filename, file_id, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  filename  !< name of file
-   CHARACTER(LEN=*), INTENT(IN) ::  mode      !< operation mode (either parallel or serial)
+SUBROUTINE netcdf4_open_file( mode, file_name, file_id, return_value )
+
+   CHARACTER(LEN=*), INTENT(IN) ::  file_name  !< name of file
+   CHARACTER(LEN=*), INTENT(IN) ::  mode       !< operation mode (either parallel or serial)
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_open_file'  !< name of this routine
 
-   INTEGER(iwp), INTENT(OUT) ::  file_id       !< file ID
-   INTEGER                   ::  my_rank       !< MPI rank of processor
-   INTEGER(iwp)              ::  nc_stat       !< netcdf return value
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
+   INTEGER, INTENT(OUT) ::  file_id       !< file ID
+   INTEGER              ::  my_rank       !< MPI rank of processor
+   INTEGER              ::  nc_stat       !< netcdf return value
+   INTEGER, INTENT(OUT) ::  return_value  !< return value
 
 
@@ -177,5 +177,5 @@
 
    !-- Open new file
-   CALL internal_message( 'debug', routine_name // ': create file "' // TRIM( filename ) // '"' )
+   CALL internal_message( 'debug', routine_name // ': create file "' // TRIM( file_name ) // '"' )
 
    IF ( TRIM( mode ) == mode_serial )  THEN
@@ -200,6 +200,6 @@
 
       IF ( return_value == 0 )  &
-         nc_stat = NF90_CREATE( TRIM( filename ) // TRIM( file_suffix ), &
-                                IOR( NF90_NOCLOBBER, NF90_NETCDF4 ), &
+         nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ), &
+                                IOR( NF90_NOCLOBBER, NF90_NETCDF4 ),      &
                                 file_id )
 #else
@@ -214,5 +214,5 @@
 
 #if defined( __parallel ) && defined( __netcdf4 ) && defined( __netcdf4_parallel )
-      nc_stat = NF90_CREATE( TRIM( filename ) // TRIM( file_suffix ),                &
+      nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ),               &
                              IOR( NF90_NOCLOBBER, IOR( NF90_NETCDF4, NF90_MPIIO ) ), &
                              file_id, COMM = output_group_comm, INFO = MPI_INFO_NULL )
@@ -229,5 +229,5 @@
       nc_stat = 0
       return_value = 1
-      CALL internal_message( 'error', routine_name // ': selected mode "' // &
+      CALL internal_message( 'error', routine_name // ': selected mode "' //  &
                                       TRIM( mode ) // '" must be either "' // &
                                       mode_serial // '" or "' // mode_parallel // '"' )
@@ -237,6 +237,7 @@
    IF ( nc_stat /= NF90_NOERR  .AND.  return_value == 0 )  THEN
       return_value = 1
-      CALL internal_message( 'error', routine_name // ': NetCDF error while opening file "' // &
-                                      TRIM( filename ) // '": ' // NF90_STRERROR( nc_stat ) )
+      CALL internal_message( 'error', routine_name //                 &
+                             ': NetCDF error while opening file "' // &
+                             TRIM( file_name ) // '": ' // NF90_STRERROR( nc_stat ) )
    ENDIF
 #endif
@@ -249,26 +250,26 @@
 !> Write attribute to netcdf file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_write_attribute( file_id, var_id, att_name, att_value_char, &
-                 att_value_int8, att_value_int16, att_value_int32,             &
-                 att_value_real32, att_value_real64, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN)           ::  att_name        !< name of attribute
-   CHARACTER(LEN=*), INTENT(IN), OPTIONAL ::  att_value_char  !< value of attribute
+SUBROUTINE netcdf4_write_attribute( file_id, variable_id, attribute_name, &
+                 value_char, value_int8, value_int16, value_int32,        &
+                 value_real32, value_real64, return_value )
+
+   CHARACTER(LEN=*), INTENT(IN)           ::  attribute_name  !< name of attribute
+   CHARACTER(LEN=*), INTENT(IN), OPTIONAL ::  value_char      !< value of attribute
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_write_attribute'  !< name of this routine
 
-   INTEGER(iwp) ::  nc_stat    !< netcdf return value
-   INTEGER(iwp) ::  target_id  !< ID of target which gets attribute (either global or var_id)
-
-   INTEGER(iwp), INTENT(IN)  ::  file_id       !< file ID
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
-   INTEGER(iwp), INTENT(IN)  ::  var_id        !< variable ID
-
-   INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  att_value_int8   !< value of attribute
-   INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  att_value_int16  !< value of attribute
-   INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  att_value_int32  !< value of attribute
-
-   REAL(KIND=4), INTENT(IN), OPTIONAL ::  att_value_real32  !< value of attribute
-   REAL(KIND=8), INTENT(IN), OPTIONAL ::  att_value_real64  !< value of attribute
+   INTEGER ::  nc_stat    !< netcdf return value
+   INTEGER ::  target_id  !< ID of target which gets attribute (either global or variable_id)
+
+   INTEGER, INTENT(IN)  ::  file_id       !< file ID
+   INTEGER, INTENT(OUT) ::  return_value  !< return value
+   INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
+
+   INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  value_int8   !< value of attribute
+   INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  value_int16  !< value of attribute
+   INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  value_int32  !< value of attribute
+
+   REAL(KIND=4), INTENT(IN), OPTIONAL ::  value_real32  !< value of attribute
+   REAL(KIND=8), INTENT(IN), OPTIONAL ::  value_real64  !< value of attribute
 
 
@@ -276,29 +277,29 @@
    return_value = 0
 
-   IF ( var_id == global_id_in_file )  THEN
+   IF ( variable_id == global_id_in_file )  THEN
       target_id = NF90_GLOBAL
    ELSE
-      target_id = var_id
-   ENDIF
-
-   CALL internal_message( 'debug', &
-                          routine_name // ': write attribute "' // TRIM( att_name ) // '"' )
-
-   IF ( PRESENT( att_value_char ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), TRIM( att_value_char ) )
-   ELSEIF ( PRESENT( att_value_int8 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), att_value_int8 )
-   ELSEIF ( PRESENT( att_value_int16 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), att_value_int16 )
-   ELSEIF ( PRESENT( att_value_int32 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), att_value_int32 )
-   ELSEIF ( PRESENT( att_value_real32 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), att_value_real32 )
-   ELSEIF ( PRESENT( att_value_real64 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( att_name ), att_value_real64 )
+      target_id = variable_id
+   ENDIF
+
+   CALL internal_message( 'debug', routine_name // &
+                          ': write attribute "' // TRIM( attribute_name ) // '"' )
+
+   IF ( PRESENT( value_char ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), TRIM( value_char ) )
+   ELSEIF ( PRESENT( value_int8 ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int8 )
+   ELSEIF ( PRESENT( value_int16 ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int16 )
+   ELSEIF ( PRESENT( value_int32 ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int32 )
+   ELSEIF ( PRESENT( value_real32 ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real32 )
+   ELSEIF ( PRESENT( value_real64 ) )  THEN
+      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real64 )
    ELSE
       return_value = 1
-      CALL internal_message( 'error', TRIM( routine_name ) // &
-                                      ': attribute "' // TRIM( att_name ) // '": no value given' )
+      CALL internal_message( 'error', routine_name // &
+                             ': no value given for attribute "' // TRIM( attribute_name ) // '"' )
    ENDIF
 
@@ -306,7 +307,7 @@
       IF ( nc_stat /= NF90_NOERR )  THEN
          return_value = 1
-         CALL internal_message( 'error',                                       &
-                 routine_name // ': NetCDF error while writing attribute "' // &
-                 TRIM( att_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+         CALL internal_message( 'error', routine_name //                      &
+                                ': NetCDF error while writing attribute "' // &
+                                TRIM( attribute_name ) // '": ' // NF90_STRERROR( nc_stat ) )
       ENDIF
    ENDIF
@@ -322,55 +323,55 @@
 !> Initialize dimension.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_init_dimension( mode, file_id, dim_id, var_id, &
-              dim_name, dim_type, dim_length, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  dim_name  !< name of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  dim_type  !< data type of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  mode      !< operation mode (either parallel or serial)
+SUBROUTINE netcdf4_init_dimension( mode, file_id, dimension_id, variable_id, &
+              dimension_name, dimension_type, dimension_length, return_value )
+
+   CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
+   CHARACTER(LEN=*), INTENT(IN) ::  dimension_type  !< data type of dimension
+   CHARACTER(LEN=*), INTENT(IN) ::  mode            !< operation mode (either parallel or serial)
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_init_dimension'  !< name of this routine
 
-   INTEGER(iwp), INTENT(OUT) ::  dim_id         !< dimension ID
-   INTEGER(iwp), INTENT(IN)  ::  dim_length     !< length of dimension
-   INTEGER(iwp), INTENT(IN)  ::  file_id        !< file ID
-   INTEGER(iwp)              ::  nc_dim_length  !< length of dimension
-   INTEGER(iwp)              ::  nc_stat        !< netcdf return value
-   INTEGER(iwp), INTENT(OUT) ::  return_value   !< return value
-   INTEGER(iwp), INTENT(OUT) ::  var_id         !< variable ID
+   INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
+   INTEGER, INTENT(IN)  ::  dimension_length     !< length of dimension
+   INTEGER, INTENT(IN)  ::  file_id              !< file ID
+   INTEGER              ::  nc_dimension_length  !< length of dimension
+   INTEGER              ::  nc_stat              !< netcdf return value
+   INTEGER, INTENT(OUT) ::  return_value         !< return value
+   INTEGER, INTENT(OUT) ::  variable_id          !< variable ID
 
 
 #if defined( __netcdf4 )
    return_value = 0
-   var_id = -1
-
-   CALL internal_message( 'debug', &
-                          routine_name // ': init dimension "' // TRIM( dim_name ) // '"' )
+   variable_id = -1
+
+   CALL internal_message( 'debug', routine_name // &
+                          ': init dimension "' // TRIM( dimension_name ) // '"' )
 
    !-- Check if dimension is unlimited
-   IF ( dim_length < 0 )  THEN
-      nc_dim_length = NF90_UNLIMITED
+   IF ( dimension_length < 0 )  THEN
+      nc_dimension_length = NF90_UNLIMITED
    ELSE
-      nc_dim_length = dim_length
+      nc_dimension_length = dimension_length
    ENDIF
 
    !-- Define dimension in file
-   nc_stat = NF90_DEF_DIM( file_id, dim_name, nc_dim_length, dim_id )
+   nc_stat = NF90_DEF_DIM( file_id, dimension_name, nc_dimension_length, dimension_id )
 
    IF ( nc_stat == NF90_NOERR )  THEN
 
       !-- Define variable holding dimension values in file
-      CALL netcdf4_init_variable( mode, file_id, var_id, dim_name, dim_type, (/dim_id/), &
-                                           is_global=.TRUE., return_value=return_value )
+      CALL netcdf4_init_variable( mode, file_id, variable_id, dimension_name, dimension_type, &
+                                  (/ dimension_id /), is_global=.TRUE., return_value=return_value )
 
    ELSE
       return_value = 1
-      CALL internal_message( 'error', routine_name //                                    &
-                                      ': NetCDF error while initializing dimension "' // &
-                                      TRIM( dim_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+      CALL internal_message( 'error', routine_name //                           &
+                             ': NetCDF error while initializing dimension "' // &
+                             TRIM( dimension_name ) // '": ' // NF90_STRERROR( nc_stat ) )
    ENDIF
 #else
    return_value = 1
-   var_id = -1
-   dim_id = -1
+   variable_id = -1
+   dimension_id = -1
 #endif
 
@@ -382,20 +383,20 @@
 !> Initialize variable.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_init_variable( mode, file_id, var_id, var_name, var_type, var_dim_ids, &
-                                  is_global, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  mode      !< operation mode (either parallel or serial)
-   CHARACTER(LEN=*), INTENT(IN) ::  var_name  !< name of variable
-   CHARACTER(LEN=*), INTENT(IN) ::  var_type  !< data type of variable
+SUBROUTINE netcdf4_init_variable( mode, file_id, variable_id, variable_name, variable_type, &
+                                  dimension_ids, is_global, return_value )
+
+   CHARACTER(LEN=*), INTENT(IN) ::  mode           !< operation mode (either parallel or serial)
+   CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< name of variable
+   CHARACTER(LEN=*), INTENT(IN) ::  variable_type  !< data type of variable
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_init_variable'  !< name of this routine
 
-   INTEGER(iwp), INTENT(IN)  ::  file_id       !< file ID
-   INTEGER(iwp)              ::  nc_stat       !< netcdf return value
-   INTEGER(iwp)              ::  nc_var_type   !< netcdf data type
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
-   INTEGER(iwp), INTENT(OUT) ::  var_id        !< variable ID
-
-   INTEGER(iwp), DIMENSION(:), INTENT(IN) ::  var_dim_ids  !< list of dimension IDs used by variable
+   INTEGER, INTENT(IN)  ::  file_id           !< file ID
+   INTEGER              ::  nc_stat           !< netcdf return value
+   INTEGER              ::  nc_variable_type  !< netcdf data type
+   INTEGER, INTENT(OUT) ::  return_value      !< return value
+   INTEGER, INTENT(OUT) ::  variable_id       !< variable ID
+
+   INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
 
    LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global (same on all PE)
@@ -406,13 +407,14 @@
 
    WRITE( temp_string, * ) is_global
-   CALL internal_message( 'debug', routine_name // ': init variable "' // TRIM( var_name ) // &
-                                   '" ( is_global = ' // TRIM( temp_string ) // ')' )
-
-   nc_var_type = get_netcdf_data_type( var_type )
-
-   IF ( nc_var_type /= -1_iwp )  THEN
+   CALL internal_message( 'debug', routine_name //                        &
+                          ': init variable "' // TRIM( variable_name ) // &
+                          '" ( is_global = ' // TRIM( temp_string ) // ')' )
+
+   nc_variable_type = get_netcdf_data_type( variable_type )
+
+   IF ( nc_variable_type /= -1 )  THEN
 
       !-- Define variable in file
-      nc_stat = NF90_DEF_VAR( file_id, var_name, nc_var_type, var_dim_ids, var_id )
+      nc_stat = NF90_DEF_VAR( file_id, variable_name, nc_variable_type, dimension_ids, variable_id )
 
 #if defined( __netcdf4_parallel )
@@ -420,16 +422,16 @@
       IF ( nc_stat == NF90_NOERR  .AND.  TRIM( mode ) == mode_parallel )  THEN
          IF ( is_global )  THEN
-            nc_stat = NF90_VAR_PAR_ACCESS( file_id, var_id, NF90_INDEPENDENT )
+            nc_stat = NF90_VAR_PAR_ACCESS( file_id, variable_id, NF90_INDEPENDENT )
          ELSE
-            nc_stat = NF90_VAR_PAR_ACCESS( file_id, var_id, NF90_COLLECTIVE )
+            nc_stat = NF90_VAR_PAR_ACCESS( file_id, variable_id, NF90_COLLECTIVE )
          ENDIF
       ENDIF
 #endif
 
-      IF ( nc_stat /= NF90_NOERR)  THEN
+      IF ( nc_stat /= NF90_NOERR )  THEN
          return_value = 1
-         CALL internal_message( 'error', routine_name //                                   &
-                                         ': NetCDF error while initializing variable "' // &
-                                         TRIM( var_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+         CALL internal_message( 'error', routine_name //                          &
+                                ': NetCDF error while initializing variable "' // &
+                                TRIM( variable_name ) // '": ' // NF90_STRERROR( nc_stat ) )
       ENDIF
 
@@ -440,5 +442,5 @@
 #else
    return_value = 1
-   var_id = -1
+   variable_id = -1
 #endif
 
@@ -450,12 +452,12 @@
 !> Leave file definition state.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_init_end( file_id, return_value )
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_init_end'  !< name of this routine
-
-   INTEGER(iwp), INTENT(IN)  ::  file_id       !< file ID
-   INTEGER(iwp)              ::  nc_stat       !< netcdf return value
-   INTEGER(iwp)              ::  old_mode      !< previous netcdf fill mode
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
+SUBROUTINE netcdf4_stop_file_header_definition( file_id, return_value )
+
+   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_stop_file_header_definition'  !< name of this routine
+
+   INTEGER, INTENT(IN)  ::  file_id        !< file ID
+   INTEGER              ::  nc_stat        !< netcdf return value
+   INTEGER              ::  old_fill_mode  !< previous netcdf fill mode
+   INTEGER, INTENT(OUT) ::  return_value   !< return value
 
 
@@ -464,10 +466,9 @@
 
    WRITE( temp_string, * ) file_id
-   CALL internal_message( 'debug',        &
-                          routine_name // &
+   CALL internal_message( 'debug', routine_name // &
                           ': finalize file definition (file_id=' // TRIM( temp_string ) // ')' )
 
    !-- Set general no fill, otherwise the performance drops significantly
-   nc_stat = NF90_SET_FILL( file_id, NF90_NOFILL, old_mode )
+   nc_stat = NF90_SET_FILL( file_id, NF90_NOFILL, old_fill_mode )
 
    IF ( nc_stat == NF90_NOERR )  THEN
@@ -477,6 +478,6 @@
    IF ( nc_stat /= NF90_NOERR )  THEN
       return_value = 1
-      CALL internal_message( 'error', routine_name // ': NetCDF error: ' // &
-                                      NF90_STRERROR( nc_stat ) )
+      CALL internal_message( 'error', routine_name // &
+                             ': NetCDF error: ' // NF90_STRERROR( nc_stat ) )
    ENDIF
 #else
@@ -484,5 +485,5 @@
 #endif
 
-END SUBROUTINE netcdf4_init_end
+END SUBROUTINE netcdf4_stop_file_header_definition
 
 !--------------------------------------------------------------------------------------------------!
